
local orig_update = HuskPlayerMovement.update
function HuskPlayerMovement:update(unit, t, dt)
    local session = managers.network:session()
    local peer = session:peer_by_unit(unit)
    if not peer or not unit then
        return
    end

    local sus_ratio = unit:movement()._suspicion_ratio

    if type(sus_ratio) ~= "boolean" and sus_ratio ~= nil and sus_ratio > 0  then
        --managers.chat:_receive_message(1, "Acoustic Suspicion", Global.nervous_suspicion_sound and "ON" or "OFF", Color(255, 255, 70, 200) / 255, false)
        if Global.nervous_suspicion_sound and ((Global.last_nervous_suspicion_sound + 0.7) <= t) then
            Global.last_nervous_suspicion_sound = t
            unit:sound():stop()
            unit:sound():say("f42_any", true, true, true)
            --managers.chat:_receive_message(1, "Acoustic Suspicion", Global.nervous_suspicion_sound and "ON" or "OFF", Color(235, 50, 192, 0) / 255, false)
        end
    end
    return orig_update(self, unit, t, dt)
end